complexType "Loan"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 13 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, (borrower? | borrowerReference?)*, lien?, facilityType?, maturity?, creditAgreementDate?, tranche?
</...>

Content Model Elements (13):

  borrower, borrowerReference, clearanceSystem (defined in UnderlyingAsset complexType), creditAgreementDate, currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), | exchangeId (defined in UnderlyingAsset complexType), facilityType, instrumentId (defined in IdentifiedAsset complexType), lien, maturity (in loan), tranche (in loan)

All Direct / Indirect Based Elements (1):

  loan

Known Usage Locations

- As direct type of elements (1):
  loan

Annotation
A type describing a loan underlying asset.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) Loan

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="Loan"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element minOccurs="0" name="borrower" type="LegalEntity"/> <xsd:element minOccurs="0" name="borrowerReference" type="LegalEntityReference"/> </xsd:choice> <xsd:element minOccurs="0" name="lien" type="Lien"/> <xsd:element minOccurs="0" name="facilityType" type="FacilityType"/> <xsd:element minOccurs="0" name="maturity" type="xsd:date"/> <xsd:element minOccurs="0" name="creditAgreementDate" type="xsd:date"/> <xsd:element minOccurs="0" name="tranche" type="UnderlyingAssetTranche"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/13)
borrower

  Type: | LegalEntity, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="borrower" type="LegalEntity"/>

borrowerReference

  Type: | LegalEntityReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="borrowerReference" type="LegalEntityReference"/>

creditAgreementDate

  Type: | xsd:date, predefined, simple content

  The credit agreement date is the closing date (the date where the agreement has been signed) for the loans in the credit agreement. Funding of the facilities occurs on (or sometimes a little after) the Credit Agreement date. This underlyer attribute is used to help identify which of the company's outstanding loans are being referenced by knowing to which credit agreement it belongs. ISDA Standards Terms Supplement term: Date of Original Credit Agreement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditAgreementDate" type="xsd:date"/>

facilityType

  Type: | FacilityType, simple content

  The type of loan facility (letter of credit, revolving, ...).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="facilityType" type="FacilityType"/>

lien

  Type: | Lien, simple content

  Specifies the seniority level of the lien.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lien" type="Lien"/>

maturity

  Type: | xsd:date, predefined, simple content

  The date when the principal amount of the loan becomes due and payable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maturity" type="xsd:date"/>

tranche

  Type: | UnderlyingAssetTranche, simple content

  The loan tranche that is subject to the derivative transaction. It will typically be referenced as the Bloomberg tranche number. ISDA Standards Terms Supplement term: Bloomberg Tranche Number.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tranche" type="UnderlyingAssetTranche"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.